Bug 1738612 - simple-scan slow and unable to load library libm.so
Summary: simple-scan slow and unable to load library libm.so
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: simple-scan
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-07 15:11 UTC by Jan Vlug
Modified: 2020-05-26 17:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 17:09:44 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1844307 0 None None None 2019-09-19 10:29:49 UTC

Description Jan Vlug 2019-08-07 15:11:28 UTC
Description of problem:
I tried to do a scan with simple-scan. Previously this worked perfectly. Maybe after an update of hplip I am having issues.
simple-scan crashed several times, and loading the scanned image is extremely slow.

Here is some info from the log files:
Aug 07 16:54:57 nyx simple-scan[12515]: io/hpmud/pp.c 627: unable to read device-id ret=-1

Aug 07 16:55:33 nyx simple-scan[12515]: common/utils.c 249: unable to load library libm.so: /lib64/libm.so: invalid ELF header

                                             #14 0x000055755713e12e n/a (simple-scan)
                                             
                                             Stack trace of thread 12065:
                                             #0  0x00007fa45bbcb5c7 __GI___poll (libc.so.6)
                                             #1  0x00007fa45ca2d1de g_main_context_poll (libglib-2.0.so.0)
                                             #2  0x00007fa45ca2d313 g_main_context_iteration (libglib-2.0.so.0)
                                             #3  0x00007fa45ca2d361 glib_worker_main (libglib-2.0.so.0)
                                             #4  0x00007fa45ca564e2 g_thread_proxy (libglib-2.0.so.0)
                                             #5  0x00007fa45ba4e5a2 start_thread (libpthread.so.0)
                                             #6  0x00007fa45bbd6303 __clone (libc.so.6)
                                             
                                             Stack trace of thread 12067:
                                             #0  0x00007fa45bbcb5c7 __GI___poll (libc.so.6)
                                             #1  0x00007fa45ca2d1de g_main_context_poll (libglib-2.0.so.0)
                                             #2  0x00007fa45ca2d5a3 g_main_loop_run (libglib-2.0.so.0)
                                             #3  0x00007fa45bfb8d8a gdbus_shared_thread_func (libgio-2.0.so.0)
                                             #4  0x00007fa45ca564e2 g_thread_proxy (libglib-2.0.so.0)
                                             #5  0x00007fa45ba4e5a2 start_thread (libpthread.so.0)
                                             #6  0x00007fa45bbd6303 __clone (libc.so.6)
                                             
                                             Stack trace of thread 12368:
                                             #0  0x00007fa45bbd0fad syscall (libc.so.6)
                                             #1  0x00007fa45ca78f56 g_cond_wait_until (libglib-2.0.so.0)
                                             #2  0x00007fa45c9fe031 g_async_queue_pop_intern_unlocked (libglib-2.0.so.0)
                                             #3  0x00007fa45ca5706a g_thread_pool_wait_for_new_task (libglib-2.0.so.0)
                                             #4  0x00007fa45ca564e2 g_thread_proxy (libglib-2.0.so.0)
                                             #5  0x00007fa45ba4e5a2 start_thread (libpthread.so.0)
                                             #6  0x00007fa45bbd6303 __clone (libc.so.6)
                                             
                                             Stack trace of thread 12068:
                                             #0  0x00007fa45bbcb5c7 __GI___poll (libc.so.6)
                                             #1  0x00007fa45ca2d1de g_main_context_poll (libglib-2.0.so.0)
                                             #2  0x00007fa45ca2d313 g_main_context_iteration (libglib-2.0.so.0)
                                             #3  0x00007fa45cc77a9d n/a (libdconfsettings.so)
                                             #4  0x00007fa45ca564e2 g_thread_proxy (libglib-2.0.so.0)
                                             #5  0x00007fa45ba4e5a2 start_thread (libpthread.so.0)
                                             #6  0x00007fa45bbd6303 __clone (libc.so.6)
                                             
                                             Stack trace of thread 12070:
                                             #0  0x00007fa45bbcb5c7 __GI___poll (libc.so.6)
                                             #1  0x00007fa45b1f7cd2 n/a (libusb-1.0.so.0)
                                             #2  0x00007fa45ba4e5a2 start_thread (libpthread.so.0)
                                             #3  0x00007fa45bbd6303 __clone (libc.so.6)

Aug 07 16:54:13 nyx abrt-notification[12419]: Process 12063 (simple-scan) crashed in ??()

ABRT could not report this.

Version-Release number of selected component (if applicable):
simple-scan 3.32.2.1-1.fc30

How reproducible:
Scanning is always extremely slow. Crahs happens sometimes

Additional info. Initially, I tried to scan with an old hplip, and I got these logs:
Aug 07 15:46:00 nyx simple-scan[5811]: io/hpmud/pp.c 627: unable to read device-id ret=-1
Aug 07 15:46:12 nyx simple-scan[5811]: common/utils.c 249: unable to load library libm.so: /lib64/libm.so: invalid ELF header
Aug 07 15:46:12 nyx simple-scan[5811]: common/utils.c 177: validate_plugin_version() Plugin version[3.18.12] mismatch with HPLIP version[3.19.6]
Aug 07 15:46:12 nyx simple-scan[5811]: common/utils.c 210: Plugin version is not matching
Aug 07 15:46:12 nyx simple-scan[5811]: common/utils.c 281: Invalid Library hanlder pLibHandler = NULL.
Aug 07 15:46:16 nyx simple-scan[5811]: common/utils.c 249: unable to load library libm.so: /lib64/libm.so: invalid ELF header
Aug 07 15:46:16 nyx simple-scan[5811]: common/utils.c 177: validate_plugin_version() Plugin version[3.18.12] mismatch with HPLIP version[3.19.6]
Aug 07 15:46:16 nyx simple-scan[5811]: common/utils.c 210: Plugin version is not matching
Aug 07 15:46:16 nyx simple-scan[5811]: common/utils.c 281: Invalid Library hanlder pLibHandler = NULL.
Aug 07 15:46:54 nyx simple-scan[5811]: common/utils.c 249: unable to load library libm.so: /lib64/libm.so: invalid ELF header
Aug 07 15:46:54 nyx simple-scan[5811]: common/utils.c 177: validate_plugin_version() Plugin version[3.18.12] mismatch with HPLIP version[3.19.6]
Aug 07 15:46:54 nyx simple-scan[5811]: common/utils.c 210: Plugin version is not matching
Aug 07 15:46:54 nyx simple-scan[5811]: common/utils.c 281: Invalid Library hanlder pLibHandler = NULL.
Aug 07 15:47:15 nyx simple-scan[5811]: common/utils.c 249: unable to load library libm.so: /lib64/libm.so: invalid ELF header
Aug 07 15:47:15 nyx simple-scan[5811]: common/utils.c 177: validate_plugin_version() Plugin version[3.18.12] mismatch with HPLIP version[3.19.6]
Aug 07 15:47:15 nyx simple-scan[5811]: common/utils.c 210: Plugin version is not matching
Aug 07 15:47:15 nyx simple-scan[5811]: common/utils.c 281: Invalid Library hanlder pLibHandler = NULL.

After this I ran hp-setup to install new the hplip plugin.

Comment 1 Jan Vlug 2019-08-07 16:46:02 UTC
I also found this in my system logs:
Aug 07 17:53:19 nyx systemd-udevd[1238]: Specified group 'scanner' unknown
Aug 07 17:53:19 nyx systemd-udevd[1238]: GOTO 'libsane_rules_end' has no matching label in: '/etc/udev/rules.d/40-libsane.rules'

Comment 2 Ben Cotton 2020-04-30 21:06:31 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2020-05-26 17:09:44 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.